asmail(0.50)

NAME
asmail - AfterStep Mail

SYNOPSIS
asmail [file] [options ...]

DESCRIPTION
The asmail is a "mail-checker" like xbiff, but with the Afterstep look & feel. It indicates the status of your mailbox. It can be put in the Wharf, execute program on incoming mail, execute program on mouse click, show XPM icon's, show animations and more...

FILE
But default asmail uses ~/.asmailrc as configuration file, but if want to use another file you just specify the name on the command-line.

OPTIONS

-help
    Prints a help message

-geometry <geom>
    Specifies the geometry of the asmail window.

-display <disp>
    Specifies the display to use.

-title <string>
    Specifies the title string of the asmail window.

-name <string>
    Specifies the client instance, icon and title string of the asmail window.

CONFIGURATION FILE
Here is a list of the keywords that can be used in the configuration file.

NoBeep
    Do not signal when new mail is found.

NoShape
    Truns off shaped window. Shaped window is often usefull if your would like to place asmail in your Wharf.

LockShape
    Use this option if all icons have the same shape and size, this will save some CPU time if you are using animations.

MailFile
        <mailfile>
        <...>

End
    Specifies which mailfile(s) to use. If this option is left out $MAIL will be used.

Update <sec>
    Specifies the update frequency. Default is 5 seconds.

Execute <program>
    Specifies the program to execute when left mousebutton click is invoked on the asmail window.

NewMailExecute <program>
    Specifies the program to execute when new mail is found.

AlwaysNewMailExecute
    Always execute when new mail is found. If this option is revomed asmail will only execute when new mail is found when the status is changed from "nomail/oldmail" to "newmail".

ExecuteOnUpdate <program>
    This option is useful if you want to "pop" your mail from a mailserver. Asmail will execute a specified program (i.e. popclient, get_mail, ...) just before every update of the mailbox status.

NumOfMsgMode <mode>
    With this option you can get asmail to display the number of messages and/or new messages in the mailbox. This option can not be used if you monitor more then one mailfile.
       Mode can be set to:
       0 = Disable feature (default)
       1 = NumOfNewMail/NumOfMail
       2 = NumOfNewMail
       3 = NumOfMail

NumOfMsgPosition <x> <y>
    Position of the text, must be inside the icon mask.

NumOfMsgFont
    Font to use.

TimeStampMode
    This option is useful if you are using utilities like procmail. Asmail will change status to "New Mail" when the time-stamp of the last modification of the mailfile is changed.

AnimationSpeed <nomail> <oldmail> <newmail>
    Sets the delay between two images in an animation.

NoMail / OldMail / NewMail
       <xpm-icon>
       <...>

End
    Assign icons and/or animations. Just list the icons in the order you want them to be shown. If you don't wnat an animation just list one icon and if you want to use the asmail default icons leave this option out.

#
    Comment.

EXAMPLES
Here is an example of how to start asmail from the command line. It will use myconfig.asmailrc for configuration instead of ~/.asmailrc.
asmail myconfig.asmailrc &

Here is an example of how to start asmail from afterstep and put it in the Wharf. Place the following line in your .steprc file in your home directory.
*Wharf - - Swallow "asmail" asmail &
Here is an example of a configuration file.
#########################################################
# .asmailrc - asmail configuration file                 #
#########################################################
NoBeep
MailFile
	/var/spool/mail/per
	/home/per/mail/mbox
End
Update 1
Execute xterm -T Pine -e pine -i &
NewMailExecute cat message.au > /dev/audio &
AlwaysNewMailExecute
AnimationSpeed  10	10	5
LockShape
NoMail
	/usr/include/X11/pixmaps/nomail1.xpm
	/usr/include/X11/pixmaps/nomail2.xpm
	/usr/include/X11/pixmaps/nomail3.xpm
End
OldMail
	/usr/include/X11/pixmaps/oldmail1.xpm
	/usr/include/X11/pixmaps/oldmail2.xpm
	/usr/include/X11/pixmaps/oldmail3.xpm
End
NewMail
	/usr/include/X11/pixmaps/newmail1.xpm
	/usr/include/X11/pixmaps/newmail2.xpm
	/usr/include/X11/pixmaps/newmail3.xpm
End

COPYRIGHT
This program is Copyright (c) 1996 by Per Liden. Distributed under GNU GPL v2 ; see LICENSE file for more informations.

AUTHOR
Per Liden
per@oden.rsn.hk-r.se
http://oden.rsn.hk-r.se/~per

SPECIAL THANKS TO
Stephan K. Zitz (zitz@io.com)
Gyula Matics (mgyula@eik.bme.hu)
Steve Martin (smartin@henge.com)
Christopher Seawood (cseawood@qualcomm.com)